Page MenuHomePhabricator

Gradually enable completion suggester as default prefix search algorithm on the remaining 12 wiki's March 16th
Closed, ResolvedPublic

Description

This will require a staged rollout, monitoring pool counters, elasticsearch load, and elasticsearch threadpools. A full-day deployment window has been cleared with release engineering for this rollout.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald Transcript
EBernhardson renamed this task from Gradually enable completion suggester as default prefix search algorithm on the remaining 50 wiki's March 17th to Gradually enable completion suggester as default prefix search algorithm on the remaining 50 wiki's March 16th.Mar 3 2016, 7:15 PM

The following wiki's account for 92.77% of all prefix search traffic. As such i am adjusting the ticket from top 50 to top 12. This was measured by counting all prefix search traffic between 2/22/2016 and 2/29/2016 inclusive.

wikipercent
enwiki43.96
dewiki10.40
eswiki7.38
ruwiki6.43
frwiki4.68
ptwiki3.63
itwiki3.14
jawiki2.83
zhwiki1.59
plwiki1.49
arwiki1.38
nlwiki1.18
EBernhardson renamed this task from Gradually enable completion suggester as default prefix search algorithm on the remaining 50 wiki's March 16th to Gradually enable completion suggester as default prefix search algorithm on the remaining 12 wiki's March 16th.Mar 4 2016, 12:34 AM

Change 275605 had a related patch set uploaded (by EBernhardson):
Enable completion suggester as default on all but top 12 wikis

https://gerrit.wikimedia.org/r/275605

Above patch was the wrong one, likely we will upload patches and enable one or two at a time during the deploy window rather than pre-preparing which ones to enable.

Deskana triaged this task as High priority.Mar 8 2016, 11:04 PM

Change 277767 had a related patch set uploaded (by DCausse):
Enable completion suggester as default on dewiki

https://gerrit.wikimedia.org/r/277767

Change 277767 merged by jenkins-bot:
Enable completion suggester as default on dewiki

https://gerrit.wikimedia.org/r/277767

Change 277796 had a related patch set uploaded (by DCausse):
Enable completion suggester as default on enwiki

https://gerrit.wikimedia.org/r/277796

Change 277796 merged by jenkins-bot:
Enable completion suggester as default on enwiki

https://gerrit.wikimedia.org/r/277796

Change 277806 had a related patch set uploaded (by DCausse):
Enable completion suggester as default on eswiki

https://gerrit.wikimedia.org/r/277806

Change 277806 merged by jenkins-bot:
Enable completion suggester as default on eswiki

https://gerrit.wikimedia.org/r/277806

Change 277808 had a related patch set uploaded (by DCausse):
Enable completion suggester as default on ru, fr, pt and itwiki

https://gerrit.wikimedia.org/r/277808

Change 277808 merged by jenkins-bot:
Enable completion suggester as default on ru, fr, pt and itwiki

https://gerrit.wikimedia.org/r/277808

Change 277810 had a related patch set uploaded (by DCausse):
Enable completion suggester as default on ja, zh, pl, ar and nlwiki

https://gerrit.wikimedia.org/r/277810

Change 277810 merged by jenkins-bot:
Enable completion suggester as default on ja, zh, pl, ar and nlwiki

https://gerrit.wikimedia.org/r/277810

I count twelve wikis in the above patches! Are we done? :-)

Deskana claimed this task.
Deskana moved this task from Incoming to Needs Reporting on the Discovery-Search (Current work) board.

Fantastic! Excellent work, everyone. :-)